# Qbittorrent

A Helm chart for Kubernetes based on linuxserver/qbittorrent.

![Version: 1.2.0](https://img.shields.io/badge/Version-1.2.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 4.6.2-1](https://img.shields.io/badge/AppVersion-4.6.2--1-informational?style=flat-square)

## Installing the Chart

To install the chart with the release name `my-release`:

```console
$ helm repo add alekc-charts https://charts.alekc.dev/
$ helm install my-release alekc-charts/qbittorrent
```

## Upgrading to 1.x from 0.x

Version 1.0 introduced some breaking changes due to change in the source image. You are strongly encouraged to make a backup
of your Qbittorrent config directory, or you are risking to lose all your downloads

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| btService.externalIps | list | `[]` |  |
| btService.port | int | `6881` |  |
| btService.type | string | `"ClusterIP"` |  |
| deployment.revisionHistoryLimit | int | `1` | Number of replicaset revisions |
| deployment.strategy | object | `{"type":"Recreate"}` | Rollout strategy type |
| env.PGID | string | `"1000"` |  |
| env.PUID | string | `"1000"` |  |
| env.TZ | string | `"Europe/London"` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"ghcr.io/alekc/hotio-qbittorrent-noipv6"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| metrics.enabled | bool | `false` |  |
| metrics.exporter.env.logLevel | string | `"INFO"` |  |
| metrics.exporter.env.password | string | `"adminadmin"` |  |
| metrics.exporter.env.port | int | `9022` |  |
| metrics.exporter.env.user | string | `"admin"` |  |
| metrics.exporter.image.pullPolicy | string | `"IfNotPresent"` |  |
| metrics.exporter.image.repository | string | `"esanchezm/prometheus-qbittorrent-exporter"` |  |
| metrics.exporter.image.tag | string | `"v1.6.0"` |  |
| metrics.prometheusRule.enabled | bool | `false` |  |
| metrics.prometheusRule.labels | object | `{}` |  |
| metrics.prometheusRule.rules | list | `[]` |  |
| metrics.serviceMonitor.enabled | bool | `false` |  |
| metrics.serviceMonitor.interval | string | `"15s"` |  |
| metrics.serviceMonitor.labels | object | `{}` |  |
| metrics.serviceMonitor.scrapeTimeout | string | `"5s"` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessMode | string | `"ReadWriteOnce"` |  |
| persistence.additionalMounts | list | `[]` |  |
| persistence.additionalVolumes | list | `[]` |  |
| persistence.enabled | bool | `true` |  |
| persistence.existingClaim | string | `""` |  |
| persistence.size | string | `"800Mi"` |  |
| persistence.storageClass | string | `""` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| rollout | object | `{"strategy":{"type":"Recreate"}}` | Rollout strategy type |
| securityContext | object | `{}` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` | Specifies whether a service account should be created |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |
| vpn.additionalPorts | string | `""` |  |
| vpn.config | string | `""` | If the config is not empty, it will be copied into `/config/wireguard/wg0.conf` with an init container |
| vpn.enabled | bool | `false` |  |
| vpn.interface | string | `"wg0"` |  |
| vpn.lanNetwork | string | `""` |  |
| vpn.privoxy.enabled | bool | `false` |  |
| vpn.privoxy.externalIps | list | `[]` |  |
| webService.externalIps | list | `[]` |  |
| webService.port | int | `80` |  |
| webService.type | string | `"ClusterIP"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.13.1](https://github.com/norwoodj/helm-docs/releases/v1.13.1)
